Bug 129698 - The "Run command" (alt-f2) window allways opens in the desktop it was first opened
The "Run command" (alt-f2) window allways opens in the desktop it was first o...
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-08-11 17:05 EDT by Ola Thoresen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-08 11:53:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ola Thoresen 2004-08-11 17:05:01 EDT
Description of problem:
If I press alt-f2 to bring op the "Run command" window in IE. desktop
3 after I log in and start KDE, this window will allways open in that
desktop no matter what desktop is active when I press alt-f2.

Note. It will not allways open in desktop 1, it will sort of
"remember" what desktop it was first opened in.

Version-Release number of selected component (if applicable):
Started a few devel-yum-updates ago.

How reproducible:

Steps to Reproduce:
1. Start KDE
2. press alt-f2 and start an application
3. switch to another desktop
4. press alt-f2 again

Actual results:
The window opens in the first desktop

Expected results:
The window should open in the active desktop

Additional info:
Comment 1 Ngo Than 2004-09-08 11:53:44 EDT
it's fixed in kdebase-3.3.0-3, which will show up in rawhide soon.
Thanks for your report.
Comment 2 Rex Dieter 2004-09-13 09:59:33 EDT
See also kde bug report:

Which implies this is an X bug, but qt can include a patch/workaround
for the issue, as it appears to be specific to using the immodule qt
patch.  See bug #132304 for immodule problems/side-affects, and patches.

Note You need to log in before you can comment on or make changes to this bug.